VERSION 5.00
Begin VB.Form frmMyMarquee 
   BorderStyle     =   0  'None
   ClientHeight    =   480
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   8556
   ControlBox      =   0   'False
   Icon            =   "frmMyMarquee.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   480
   ScaleWidth      =   8556
   ShowInTaskbar   =   0   'False
   Begin MyMarquee.Marquee mrqMyMarquee 
      Height          =   480
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   8544
      _ExtentX        =   15071
      _ExtentY        =   847
   End
End
Attribute VB_Name = "frmMyMarquee"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Type PointAPI
    X                  As Long
    Y                  As Long
End Type

Private bolChangeWidth As Boolean
Private pntMousePoint  As PointAPI

Private Declare Function GetCursorPos Lib "User32.dll" (lpPoint As PointAPI) As Long
Private Declare Function ReleaseCapture Lib "User32.dll" () As Long
Private Declare Function SendMessage Lib "User32.dll" Alias "SendMessageA" (ByVal hWnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long

Private Sub Form_Load()

   With mrqMyMarquee
      .Width = frmMyMarqueeSetup.Width
      Width = .Width
      Height = .Height
   End With

End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)

   Cancel = True
   End

End Sub

Private Sub Form_Resize()

   mrqMyMarquee.Width = Width

End Sub

Private Sub mrqMyMarquee_DblClick()

   If bolMaximise = False Then Call frmMyMarqueeSetup.ToggleScreen(True)

End Sub

Private Sub mrqMyMarquee_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

   If bolMaximise Then Exit Sub
   
   If X < 10 Or X >= Width - Screen.TwipsPerPixelX * 10 Then
      MousePointer = vbSizeWE
      bolChangeWidth = True
      
   Else
      MousePointer = vbDefault
      bolChangeWidth = False
   End If
   
   If Button = vbLeftButton Then
      If bolChangeWidth = True Then
         GetCursorPos pntMousePoint
         
         If X < 10 Then
            Width = Width + (Left - pntMousePoint.X * Screen.TwipsPerPixelX)
            Left = Left - (Left - pntMousePoint.X * Screen.TwipsPerPixelX)
            
         Else
            Width = Width + pntMousePoint.X * Screen.TwipsPerPixelX - (Left + Width)
         End If
         
         If Width < frmMyMarqueeSetup.Width Then Width = frmMyMarqueeSetup.Width
         
         rctBanner.Right = Width
         
      Else
         ReleaseCapture
         SendMessage hWnd, &HA1, 2, 0
         rctBanner.Top = Top
         rctBanner.Left = Left
         bolChangeWidth = False
      End If
      
   ElseIf Button = vbRightButton Then
      If bolChangeWidth = True Then
        Left = 0
         Width = Screen.Width
         rctBanner.Left = Left
         rctBanner.Right = Width
         bolChangeWidth = False
      End If
   End If

End Sub

Private Sub mrqMyMarquee_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)

   MousePointer = vbDefault
   bolChangeWidth = False

End Sub

